package com.hw.mes.domain;

import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 工艺路线对象 mes_base_route
 *
 * @author Yinq
 * @date 2024-01-25
 */
public class MesBaseRoute extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工艺路线ID
     */
    private Long routeId;

    /**
     * 工艺路线名称
     */
    @Excel(name = "工艺路线名称")
    private String routeName;

    /**
     * 工艺路线说明
     */
    @Excel(name = "工艺路线说明")
    private String routeDesc;

    /**
     * 单位时间
     */
    @Excel(name = "单位时间")
    private Long productionTime;

    /**
     * 激活标识
     */
    @Excel(name = "激活标识")
    private String activeFlag;

    /**
     * 工艺路线组成信息信息
     */
    private List<MesBaseRouteProcess> mesBaseRouteProcessList;

    public Long getProductionTime() {
        return productionTime;
    }

    public void setProductionTime(Long productionTime) {
        this.productionTime = productionTime;
    }

    public void setRouteId(Long routeId) {
        this.routeId = routeId;
    }

    public Long getRouteId() {
        return routeId;
    }

    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }

    public String getRouteName() {
        return routeName;
    }

    public void setRouteDesc(String routeDesc) {
        this.routeDesc = routeDesc;
    }

    public String getRouteDesc() {
        return routeDesc;
    }

    public void setActiveFlag(String activeFlag) {
        this.activeFlag = activeFlag;
    }

    public String getActiveFlag() {
        return activeFlag;
    }

    public List<MesBaseRouteProcess> getMesBaseRouteProcessList() {
        return mesBaseRouteProcessList;
    }

    public void setMesBaseRouteProcessList(List<MesBaseRouteProcess> mesBaseRouteProcessList) {
        this.mesBaseRouteProcessList = mesBaseRouteProcessList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("routeId", getRouteId())
                .append("routeName", getRouteName())
                .append("routeDesc", getRouteDesc())
                .append("activeFlag", getActiveFlag())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("mesBaseRouteProcessList", getMesBaseRouteProcessList())
                .toString();
    }
}
